---
lang: en
title: 'API docs: authentication-jwt.userrepository.findcredentials'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/authentication-jwt
permalink: /doc/en/lb4/apidocs.authentication-jwt.userrepository.findcredentials.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authentication-jwt](./authentication-jwt.md) &gt; [UserRepository](./authentication-jwt.userrepository.md) &gt; [findCredentials](./authentication-jwt.userrepository.findcredentials.md)

## UserRepository.findCredentials() method

**Signature:**

```typescript
findCredentials(userId: typeof User.prototype.id): Promise<UserCredentials | undefined>;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

userId


</td><td>

typeof [User.prototype.id](./authentication-jwt.user.id.md)


</td><td>


</td></tr>
</tbody></table>

**Returns:**

Promise&lt;[UserCredentials](./authentication-jwt.usercredentials.md) \| undefined&gt;


